List crypto currency networks
curl --request GET \
--url https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://vibe-api.liquidramp.com/v1/crypto-currencies/{identifier}/networks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"status": true,
"message": "<string>",
"data": [
"<unknown>"
],
"meta": {
"total": 123,
"per_page": 123,
"current_page": 123,
"last_page": 123
}
}Reference
List crypto currency networks
GET
/
v1
/
crypto-currencies
/
{identifier}
/
networks
List crypto currency networks
Authorizations
PublicKeyAuthSecretKeyHmac
Bearer pk_* public key. Also send liquidramp-client-id.
Path Parameters
⌘I